#include "mqtt.h"
#include <ESP8266WiFi.h>
//#include "ESP32WiFi.h"
#include <WiFiClient.h> 
#include <ESP8266WebServer.h>
//#include <ESP32WebServer.h>
#include <DNSServer.h>
#include <ESP8266mDNS.h>
#include <EEPROM.h>
#include "PubSubClient.h"
#include "DHT.h"

#define DHTPIN 13 
#define DHTTYPE DHT22 
#define LDRPIN A0
#define MOTIONPIN  15


DHT dht(DHTPIN, DHTTYPE);


float float_fkt_getTemp(){
  Serial.println("*INFO:DO  :DHT Temperatur lesen");
  float var_float_getTempC;
  var_float_getTempC = dht.readTemperature();
  
  Serial.println(var_float_getTempC);
  Serial.println("*INFO:DONE:DHT Temperatur lesen");
  Serial.println("*----------------------------------");
  return var_float_getTempC;
}

float float_fkt_getHum(){
  Serial.println("*INFO:DO  :DHT Humiditiy lesen");
  float var_float_getHum;
  var_float_getHum = dht.readHumidity();
  
  Serial.println(var_float_getHum);
  Serial.println("*INFO:DONE:DHT Humiditiy lesen");
  Serial.println("*----------------------------------");
  return var_float_getHum;
  
}

float float_fkt_getLicht(){
  Serial.println("*INFO:DO  :Umgebungslicht lesen");
  int int_var_SensorValue = analogRead(LDRPIN);
  float float_var_Voltage = int_var_SensorValue * (3.2 / 1023.0);
  Serial.println("*Info:    :Digitale Umrechnung");  
  Serial.println(int_var_SensorValue);
  Serial.println("*Info:    :Logische Umrechnung");
  Serial.println(float_var_Voltage);
  Serial.println("*INFO:DONE:Umgebungslicht lesen");  
  Serial.println("*----------------------------------");
  return int_var_SensorValue;
}

bool bool_fkt_getMotion(){
  Serial.println("*INFO:DO  :Bewegungserkennung");
  int int_var_SensorValue = digitalRead(MOTIONPIN);
  if (int_var_SensorValue) {
     Serial.println(int_var_SensorValue);
     Serial.println("*INFO:DONE:Erkenne Bewegung");
     Serial.println("*INFO:DONE:Bewegungserkennung");  
     Serial.println("*----------------------------------");
     return true;
  } else {
    Serial.println(int_var_SensorValue);
    Serial.println("*INFO:DONE:Keine Bewegung");
    Serial.println("*INFO:DONE:Bewegungserkennung");  
    Serial.println("*----------------------------------");
    return false;
  }
  
  
}

bool bool_fkt_getAktor_Nachtlicht(){
  return true;
}


