#include "wifi.h"
#include <ESP8266WiFi.h>


#include <WiFiClient.h> 
#include <ESP8266WebServer.h>
#include <DNSServer.h>
#include <ESP8266mDNS.h>
#include <EEPROM.h>

bool fkt_bool_WLAN_connect(const char* ssid, const  char* pass){
  Serial.println("*INIT:DO  :WiFi Wlan verbinden");
  WiFi.begin(ssid, pass);
  int i=0;
  while (WiFi.status() != WL_CONNECTED) {
    delay(500);
    Serial.print(".");
    i=i+1;
    if (i == 15) {
      return false;
    }
  }
  Serial.println("");
  Serial.println("*INIT:DONE:WiFi Wlan verbinden");  
  Serial.println("*INIT:INFO:IP address: ");
  Serial.println(WiFi.localIP());
  Serial.println("*----------------------------------");
  return true;
}

int int_fkt_WLANProzent(int WLANProzent){
  int int_var_wlaninProzent = map(WLANProzent, -100, -40, 0, 100);
  return int_var_wlaninProzent;
}

